Closed Bug 398992 Opened 12 years ago Closed 11 years ago

Firefox 2 productization, Bengali (bn-IN)

Categories

(Mozilla Localizations :: bn-IN / Bengali (India), defect)

defect
Not set

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: Pike, Unassigned)

References

()

Details

Attachments

(5 files, 3 obsolete files)

We're going to have a Bengali localization for Firefox 2.

Runa, do you have any suggestions on changes to the list of search engines,
or the Feed readers? What would be a good news feed for Latvia?

Mic, any ideas on your side?
Hi
thanks for the heads up, I will do some research on what's available. Runa, any suggestions are always appreciated
best
mic
Hi Axel & Mic,
For the list of Search Engines I'd like to suggest an addition: bn.wikipedia.org

For the Feed Reeders..I am not sure about the existing list. Would it be possible to give me some pointers here.

regards
Runa
Hi Runa
cool on bn.widipedia.org
can you send me your final list on search engine's then e.g., google, yahoo, ??

on Feed Readers, we typically ship with My Yahoo, bloglines and iGoogle. Recently more localizers are using Netvibes in addition or in place of one of these readers as it's often available in the local language. I haven't been able to find a Bengali RSS reader and can't seem to find if Netvibes is currently translated in Bengali.

For RSS feed itself will you be using: www.bbc.co.uk/bengali/institutional/rss.shtml?

regards
mic
Hello Mic,



For the search engines the list goes:

google
yahoo
amazon.com
answers.com
technorati
creative commons
wikipedia (bn)
rediff.com

RSS Feed:
www.bbc.co.uk/bengali/institutional/rss.shtml looks good at the moment. Can this be changed in future? 

Feed Readers:
Please also include Netvibes along with the other three you mentioned. I don't think NetVibes has been translated in Bengali, although it landed me on to a India-specific page written in English.

regards
Runa
Apologies, I missed eBay from the list of search engines. The list would be:

google
yahoo
amazon.com
answers.com
technorati
creative commons
wikipedia (bn)
rediff.com
eBay

I included rediff and technorati as:

Technorati is pretty popular among the Indian blogger community, and
rediff.com is a hugely popular Indian portal and its search engine is widely used too

I hope thats helpful

Thanks
Runa
Runa
thanks for the list, that's great
it should follow alphabetical order after google and yahoo i.e.,
google
yahoo
amazon
answers
creative commons
ebay
rediff
technorati
wikipedia

questions:
is amazon and answers widely used in India? they don't seem to have Indian dedicated sites?
if answers is used more or the same as wikipedia then great, if not then I'd say drop answers and keep wikipedia
we try to keep the list at 6 or close to it. nothing wrong with adding more however we find that the lower on the list the less users actually use them. I'd like to give your users a compelling experience as it enhances adoption so let me know your thoughts in this context.

best!
mic
Hi Mic,
Thanks for all the help. 

Answers:
Amazon global site is used widely  in India. For Answers I'd say, no harm in taking it off the list.

The rest of them are widely used and it would be great if they can be accomodated.

Thanks a lot
regards
Runa
Hi Runa
the only reason I suggest taking Answers off the list is we've found in the past the more search engine's we offer doesn't correlate with more usage. So, let's go with the list you propose and see how users use it. That means I have a final list of:
google
yahoo
amazon
creative commons
ebay
rediff
technorati
wikipedia

you're good to go from my end
best
mic
Runa, can you create a patch that will implement that and request review from me on that for a technical review? Just set the r-flag to '?' and requestee to l10n@mozilla.com.

Thanks
Attached file MozSearch plugins for rediff.com (obsolete) —
Attachment #287675 - Flags: review?(l10n)
Hi,

Please find the attachments for the two additional search engines requested for bn-IN.
Additionally, if its not too late, would it be possible to add Wikipedia (EN) to the list as well. Since Wikipedia (BN) is not significantly mature yet, a lot of queries are directed to en.wikipedia.com by users of the bn-IN locale.

Thanks a lot for all the help and guidance.

regards
Runa
Attachment #287676 - Flags: review-
Comment on attachment 287675 [details]
MozSearch plugins for rediff.com

Both have xml parsing errors. I gave runa pointers on how to fix those on #l10n
Attachment #287675 - Flags: review?(l10n) → review-
As instructed by Pike, the output from cvs diff -uN on the /bn-IN/browser/searchplugins directory after addition of the two files for the additional search engines.
Attachment #287675 - Attachment is obsolete: true
Attachment #287676 - Attachment is obsolete: true
Attachment #287682 - Flags: review?(l10n)
re comment #12
i'd suggest leaving it as is for wikipedia.bn as users can easily get to the en site from there and we try to limit the list of plug ins to 6
mic
Attachment #287682 - Attachment is patch: true
Attachment #287682 - Attachment mime type: application/octet-stream → text/plain
Comment on attachment 287682 [details] [diff] [review]
result of cvs diff -uN for the two additional plugin files added

>Index: wikipedia-bn.xml
>===================================================================
>RCS file: wikipedia-bn.xml
>diff -N wikipedia-bn.xml
>--- /dev/null   1 Jan 1970 00:00:00 -0000
>+++ wikipedia-bn.xml    7 Nov 2007 15:26:05 -0000
>@@ -0,0 +1,11 @@
>+<SearchPlugin xmlns="http://www.mozilla.org/2006/browser/search/">
>+<ShortName>Wikipedia (BN)</ShortName>
>+<Description>bn.wikipedia.com search</Description>
>+<InputEncoding>ISO-8859-1</InputEncoding>
>+<Image width="16" height="16">data:image/x-ico;base64,AAABAAEAEBAQAAEABAAoAQAAFgAAACgAAAAQAAAAIAAAAAEABAAAAAAAAAAAAAAAAAAAAAAAEAAAAAAAAAAEAgQAhIOEAMjHyABIR0gA6ejpAGlqaQCpqKkAKCgoAPz9%2FAAZGBkAmJiYANjZ2ABXWFcAent6ALm6uQA8OjwAiIiIiIiIiIiIiI4oiL6IiIiIgzuIV4iIiIhndo53KIiIiB%2FWvXoYiIiIfEZfWBSIiIEGi%2FfoqoiIgzuL84i9iIjpGIoMiEHoiMkos3FojmiLlUipYliEWIF%2BiDe0GoRa7D6GPbjcu1yIiIiIiIiIiIiIiIiIiIiIiIiIiIiIiIgAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA</Image>
>+<Url type="text/html" method="GET" template="http://bn.wikipedia.org/wiki/Special:Search">
>+<Param name="MT" value="{searchTerms}"/>

Please add a 

<Param name="sourceid" value="Mozilla-search"/>

>+</Url>
>+<SearchForm>http://bn.wikipedia.org/wiki/Special:Search</SearchForm>
>+</SearchPlugin>
>+

With that, r=l10n@mozilla.com. Please land this patch with a check-in comment that references this bug, describes the change, and denotes the review. Something like "bug 398992, adding wikipedia (Bengali) and rediff.com, r=l10n@mozilla.com". That way, we can find this bug from the CVS history.

I guess you should change the eBay and yahoo plugins for Indian ones, too? You can find both in Gujarati, http://mxr.mozilla.org/l10n/source/gu-IN/browser/searchplugins/. Please create another patch for that and request review again.

Thanks.
Attachment #287682 - Flags: review?(l10n) → review+
rediff.xml and wikipedia-bn.xml checked into the bn-IN/browser/searchplugins folder.
cvs diff -uN result for the eBay-in and yahoo-in searchplugin files and the modification to list.txt in /browser/searchplugins
Attachment #289832 - Flags: review?(l10n)
Attachment #289832 - Attachment is patch: true
Comment on attachment 289832 [details] [diff] [review]
cvs diff -uN result for eBay-in and yahoo-in searchplugin files

Could you check if 

<InputEncoding>ISO-8859-1</InputEncoding>

helps you when searching for items in Bengali? It seems that ebay.in is using utf-8, though ebay.com is not.

In yahoo-in.xml, the

<MozParam name="fr" condition="pref" pref="yahoo-fr" />

line from yahoo.com should not be changed. The "fr" has nothing to do with French ;-)

I'd like to get a new patch for those two, thanks.
Attachment #289832 - Flags: review?(l10n) → review-
cvs diff -uN result for eBay-in and yahoo-in searchplugin files redone post Pike's comments.
Attachment #289832 - Attachment is obsolete: true
Attachment #289941 - Flags: review?(l10n)
Comment on attachment 289941 [details]
cvs diff -uN result for eBay-in and yahoo-in searchplugin files

r=me, looking good.

Please check this in with a check-in comment referencing this bug, the change, and a note for my review. "bug 398992, changing ebay and yahoo to India versions, r=l10n@mozilla.com" would be my suggestion. That way, the cvs history references this bug and the rationale here.
Attachment #289941 - Flags: review?(l10n) → review+
The files eBay-in.xml and yahoo-in.xml have been checked into bn-IN/browser/searchplugins folder.
cvs diff -uN result after the following activities:

Removal:
======
amazondotcom.xml
answers.xml
creativecommons.xml
google.xml 

Addition:
=======
technorati.xml

Modification:
==========
rediff.xml
wikipedia-bn.xml
Attachment #292759 - Flags: review?(l10n)
Comment on attachment 292759 [details]
cvs diff -uN result for technorati, rediff and bn-wikipedia searchplugin files

>cvs diff: Diffing .
>Index: amazondotcom.xml
>===================================================================
>Index: answers.xml
>===================================================================
>Index: creativecommons.xml
>===================================================================
>Index: google.xml
>===================================================================

r= me on these

>Index: list.txt
>===================================================================
>RCS file: /l10n/l10n/bn-IN/browser/searchplugins/list.txt,v
>retrieving revision 1.4
>diff -u -r1.4 list.txt
>--- list.txt    12 Dec 2007 12:57:22 -0000      1.4
>+++ list.txt    12 Dec 2007 13:47:52 -0000
>@@ -1,8 +1,5 @@
>-amazondotcom
>-answers
>-creativecommons
> eBay-in
>-google
> yahoo-in
> rediff
>+technorati
> wikipedia-bn

r- on this one, you shouldn't remove the items from list.txt, as that will make them drop out of the build completely.

>Index: rediff.xml
>===================================================================
<...>
>Index: wikipedia-bn.xml
>===================================================================

r=me on the changes to rediff and wikipedia-bn.xml

Let's wait with the landing of the technorati plugin, I guess that Mic needs to get in touch with the folks there on the search key.

So, please only land the cvs removals of the en-US plugins, and the modifications to rediff and wikipedia, but not the changes to list.txt nor the technorati plugin. We'll do that one in a second step. Marking this r- as the patch at large is an r-, but the indicated pieces are fine to land with an r=l10n@mozilla.com.
Attachment #292759 - Flags: review?(l10n) → review-
cvs removals and updates to the rediff and wikipedia-bn files have been landed.

list.txt modified locally but not updated.
Mic, do you still need contact information and permission from rediff and technorati?
Axel, thanks I do. I will ping their sites for permission and resond in the bug as soon as I have it. Unless, Runa, do you have any contacts for these services and/or permissions from them already?
We typically get permission to ensure the 3d party is expecting our traffic.
thanks
In addition to Mic's official enquiry, I shall check up for both of them though I really am not sure where to knock per se.
I think we're still waiting for rediff and technorati here?
Whiteboard: needs-mic
tried on Rediff before unsuccessfully. trying again. 
awaiting response from technorati.
do we need url for both providers?
by url, i meant a search engine url with appropriate parameters or Runa are you ok there?
Runa, 
I'm still having a hard time reaching Technorati and Rediff. These are major sites so I think they should be ok to receive our traffic and wouldn't want to block release to wait for them to respond to my emails. 
Can you land a patch with their search plugins and I'll review with Beltzner for not blocking to continue towards next release.
Also, can you also confirm for me that you're working towards Firefox 3 release now with this bug?
Thanks
Whiteboard: needs-mic → needs-mic, needs-patch
Hi Mic,

Guess I had imagined that I had  replied to your earlier comment. Apologies for the mix up.

Landed the searchplugins.

Also confirming that translations updations for FF3 are being done for bn-IN. Axel has created another bug for it as well:

https://bugzilla.mozilla.org/show_bug.cgi?id=415575

hth
Thanks
Runa
Whiteboard: needs-mic, needs-patch → needs-gavin
The landed plugins look fine from a technical perspective (seems like Axel already reviewed them all anyways, including the Technorati one). Seems like the only thing missing here is explicit approval from the providers on the parameters/URLs, and I can't help with that.
Whiteboard: needs-gavin
I'd like to move to close this bug so we can finalize for B4. So, I think given these two sites we're waiting on Rediff and Tehnoratti are major sites I don't believe our traffic will affect them adversely. 
In addition, we've never been turned down for traffic/inclusion so I think we should be ok to proceed. That's my vote. Runa/Gavin if you're comfortable let's move ahead.
we heard from Rediff, sumeetr@rediff.co.in is their lead search parameters. 
heard from technoratti shani higgins, will write back once i get approval
gavin - any ideas what we can do to still make beta 4? i.e., do we need these two approvals to proceed?
Whiteboard: needs-gavin
I think we're good for b4 (agree with comment 35).
Whiteboard: needs-gavin
received permission from Technorati. Runa, do we have a plug in for that already, I can't recall?

----- Original Message -----
From: "Shani Higgins" <s..ins@technorati.com>
To: "Michal Berman"
Sent: Friday, February 29, 2008 4:59:38 PM GMT -05:00 US/Canada Eastern
Subject: Re: Technorati/Firefox

Confirmed. You are welcome to add it to the drop-down menu. 
Best Regards, 
Shani 
Shani Higgins 
V.P. Business Development 
www.technorati.com 
thanks. do we have all search parameters we need or should i be asking each company for more specifics than our typical?
Whiteboard: needs-gavin
Mic, bn-IN doesn't target Firefox 3 B4 (or 5) just yet, just to clear up on your comments there.

We're still having it in incubator, and are targeting the Firefox 2 feature set in this bug. I think we should have a separate bug for the Firefox 3 specifics.

For this actual bug, when r-'ing the changes to list.txt, I forgot that we wanted to drop answers. So that's still left to do.

For rediff, we're sending sourceid=Mozilla-search, we might want to vet that with them. Same for technorati.

Technical comments, it'd be nice to use <Param> child elements instead of a complex url template. We have significantly improved out wikipedia plugins since I last reviewed this, updating it to match http://mxr.mozilla.org/mozilla/source/browser/locales/en-US/searchplugins/wikipedia.xml would add search suggest to that plugin. The ShortName should be "উইকিপিডিয়া (bn)" to match bn.wikipedia.org so that it won't offer the plugin again.
Whiteboard: needs-gavin → needs-patch, needs-mic
checking with Technoratti and Rediff on parameter specifics. will post back what i get from them
Given the confusion with Technorati and Rediff, can we perhaps wait for another week/10 days and then go ahead with the remaining work. Inclusion of either is not an essential feature but would have been an addition to the user experience considerably.

Thanks.
not sure what you mean by wait and go ahead after 10 day? 
but in mean time i will track down information and post when i hear back. if there is other work that can be done great. if there is work that is dependent on this than a break should be fine. my goal is to get an answer asap so they/i am not blocking on progress :)
heard from technorati: they are ok with sourceid=Mozilla-search
(In reply to comment #46)

> not sure what you mean by wait and go ahead after 10 day?

I wanted to say that in case nothing was heard from technorati and rediff in perhaps the next 10 days, we could drop the plugins. Looks like Technorati is in now. :-)  Can we perhaps wait for rediff for a few days and drop them if there is no response?

> but in mean time i will track down information and post when i hear back. if
> there is other work that can be done great. if there is work that is dependent
> on this than a break should be fine.

I am not sure about what more is required for the productization to complete. Perhaps Axel might be handing out the to-do list. :-)

 my goal is to get an answer asap so they/i
> am not blocking on progress :)

Thanks Mic. 




> 

I just checked in a fix to bookmarks.html to point to bn-IN instead of en-US urls. The link titles are all in English still, though. Runa, mind updating your tree and checking in a version with localized titles? You shouldn't have to change the links or the structure though.
Updated and landed into the cvs.
from Rediff:

----- Original Message -----
From: "Sumit Rajwade" <sumeetr@rediff.co.in>
To: "Michal Berman" <mic@mozilla.com>
Sent: Monday, March 17, 2008 9:17:05 AM GMT -05:00 US/Canada Eastern
Subject: Re: Firefox inclusion of Rediff

Hi! Michal,

Please test the Rediff Bengali search by using the URL below.

http://search.rediff.com/ilsearch_q/bengali.html?mode=firefox
Whiteboard: needs-patch, needs-mic → needs-patch
The rediff search page for bengali contains errors at places. It also says its a beta. Imho, the main search link in English would be a better candidate for the bn_IN locale.
let's use "regular" rediff then, i will inform them of our change. i'd say also use standard search parameters sourceid=Mozilla-search. i will inform rediff
Thanks a lot Mic. 
Cool, then I'd like to have a final patch to:

rediff.xml, looking at the site they're utf-8 encoded, not windows-1252, we should fix that in the InputEncoding

wikipedia-bn.xml should be updated, that'd be bug 425682. Need to comment there with more details.
Depends on: 425682
Depends on: 430435
(In reply to comment #4)
> RSS Feed:
> www.bbc.co.uk/bengali/institutional/rss.shtml looks good at the moment. Can
> this be changed in future? 

That offers two feeds, http://feeds.bbc.co.uk/bengali/index.xml and http://feeds.bbc.co.uk/bengali/indepth/index.xml, which of the two should we use?
just a bit of further clarification in answer to comment #4 and comment #56. the feed doesn't have to be BBC based, it can be from another source that you think Bengali users would appreciate and is dynamic so it appears to change regularly thereby demonstrating the feature well
and axel's two suggestions are totally cool too
A dilemma here. The bbc online website (same of deustche welle) primarily carry content about Bangladesh in their Bengali section. The online versions of the Indian newspapers/magazines on the other hand are either not unicode compliant or substitute images instead of using text. Hence providing feed from these sites is useless. I'd like to ask for advice here as I have two options open and neither are optimal:

option 1: to choose feed from bbc (advantage: content is in bengali, disadvantage: a huge proportion of the content is from Bangladesh)

option 2: to choose feed from an indian news portal, preferably a daily based in Kolkata (advantage: News is from India/Kolkata, disadvantage: content is in English)

Please suggest what can one choose here.
the purpose of choosing is to primarily demonstrate the feature so that users can then make a choice to keep or change. So I think it's most important to demonstrate the feature in the local language and then if the user wants to change the he/she can. So - let's go with option 1

good description Runa - thanks ! :)
(In reply to comment #59)
> the purpose of choosing is to primarily demonstrate the feature so that users
> can then make a choice to keep or change. So I think it's most important to
> demonstrate the feature in the local language and then if the user wants to
> change the he/she can. So - let's go with option 1

I would like to disagree. Option 1 is sub-optimal. Without going into geo-political explanations, choosing a set of content that is not 'local' would be counter productive.

I like the idea of demonstrating the feature in the local language, but since the team is not involved in the work on motivating local content providers to make their content Unicode compliant, getting relevant local content is not what we would like to get into right now.

I'd rather not have the Option 1 activated than go with the 'demonstrate feature' line.
Whiteboard: needs-patch → needs-patch, needs-mic
thanks, i was a bit worried about the background story of the "geopolitical" which Sankarshan alluded to.

Runa/Sankarshan the feed does not have to be strictly limited to news type content. it can be content of another nature so long as it's dynamic i.e., changes frequently enough to show users that it's changing.

we can go with option 2 unless you have other suggestions?

I don't mean to make this laborious - just trying to offer users the best choices and user experience
Hi Mic,
Can we put in two feeds, so that both the options can be included? 

regards
Runa
No, sadly not. We'll have to settle for one. I'd like to add though that the feed is implemented as a redirect on our servers, so there is slightly more room for error here than for, say, search. Though changing the feed from one site to the other at some random point in time is still a sucky user experience for those that liked the old one. So we'd rather not do that.
In that case, I would vote for option 2 as well. Option 1 demonstrates a feature, but would not be able to hold the attention of the user (its basic purpose). In the long-run, perhaps this might induce the leading bengali dailies (from India) to move onto suitable formats for feeds. 

My suggestion is The Telegraph. This is the English daily published by the major publication house ABP (http://www.abp.in/). 

http://www.telegraphindia.com
The telegraph has some 10 feeds, which one would you suggest? The different feeds not only have different topics, tehy seem to have rather different numbers of stories, too.
The Front page looks like the good option. 
http://www.telegraphindia.com/feeds/rss.jsp?id=3

Thanks.
Runa, thanks for your recommendations and patience in going through this -- let's go for this one. even though it only has 10 feeds, that's still a good number to demonstrate dynamism and at least it's regionally relevant as you say and more apt to capture users attention :)

pike want to file the server side bug for this feed change with other stuff?
talked to pike, we're going to create a separate bug to track the feed change (standard way we handle feed changes anyway as it's IT side change) and pike has to do some source verification and then we can close this bug :)
(In reply to comment #55)
> Cool, then I'd like to have a final patch to:
> 
> rediff.xml, looking at the site they're utf-8 encoded, not windows-1252, we
> should fix that in the InputEncoding

rediff.com tricked me here, sorry. On XP, charset detection is obviously flawed, I haven't found out why it claims to be utf-8. windows-1252 is right. Both visually and on the mac. Next time, shovel a "no, it's not, you get funny list item bullets if you do that" into my inbox?

> wikipedia-bn.xml should be updated, that'd be bug 425682. Need to comment there
> with more details.

FIXED.

Patch coming up to actually add netvibes, too, per comments 3 and 4. The localization into Bengali is sparse at best there, but it's still popular, so let's use it.
Whiteboard: needs-patch, needs-mic
Requesting review from Runa on this patch.
Attachment #327621 - Flags: review?
Attachment #327621 - Flags: review? → review?(runabh)
Can iGoogle be pushed to the first position instead of Netvibes, with My yahoo in the second position.

regards
Runa
Attachment #327621 - Flags: review?(runabh) → review-
Updated patch. I guess that Mic will be fine with this, I'll check in with her later today. Review request on Runa again :-)
Attachment #327787 - Flags: review?(runabh)
Comment on attachment 327787 [details] [diff] [review]
make that google, yahoo, netvibes, bloglines

Looks good to go. Thanks Pike. :-)
Attachment #327787 - Flags: review?(runabh) → review+
ok with me, particularly as that's Runa's recommendation - I'd guess it's in order of popularity ;). ok for me to go ahead
Checking in region.properties;
/l10n/l10n/bn-IN/browser/chrome/browser-region/region.properties,v  <--  region.properties
new revision: 1.3; previous revision: 1.2

I'll file a bug on the RSS redirect shortly. As we're settled there, I'll just resolve this bug FIXED once I'm through with src verification.
thanks :)
Thanks.
Depends on: 443399
Feed redirect bug is filed, we'll get that up soon, no reason to really block closing this bug.

Marking FIXED with src verification http://hg.mozilla.org/users/axel_mozilla.com/l10n-src-verification/index.cgi/file/3d2c0161136b/reference/MOZILLA_1_8_BRANCH/bn-IN/.
Status: NEW → RESOLVED
Closed: 11 years ago
Resolution: --- → FIXED
Feed is up now, too.
You need to log in before you can comment on or make changes to this bug.